﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace Sample
{
    public class CustomColorPicker : RadColorPicker
    {
        public RadColorSelector ColorSelector;
        public RadColorPaletteView RecentColorsPalette;

        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            this.ColorSelector = this.GetTemplateChild("ColorSelector") as RadColorSelector;
            if (this.ColorSelector != null)
            {
                this.ColorSelector.Loaded += this.ColorSelector_Loaded;
            }
        }

        void ColorSelector_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            this.RecentColorsPalette = this.ColorSelector.ChildrenOfType<RadColorPaletteView>().ToList()[3];
            this.ColorSelector.Loaded -= this.ColorSelector_Loaded;
        }
    }
}
